Bug 95147 - suggestion: warning that automatic wrapping text in LO Calc needs to be set Optimal in case of some xls import
Summary: suggestion: warning that automatic wrapping text in LO Calc needs to be set O...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Triveni
URL:
Whiteboard: interoperability target:7.2.0 target:...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-17 19:50 UTC by gmarco
Modified: 2020-12-09 22:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gmarco 2015-10-17 19:50:27 UTC
Established that the "automatic wrapping" function needs the involved row beeing setted "Optimal Height"  I suggest to add a warning in the help (all languages) in order to instruct that the function needs as prerequisite the "Optimal Height" setted for the involved rows (for references see bugs 95098, 32950, 95131).
Note: not always that setting is the default, such as migrating from Excel.
Comment 1 Joel Madero 2015-10-17 19:57:14 UTC
Seems like documentation issue, not Calc issue - setting to Documentation.
Comment 2 gmarco 2015-10-17 20:23:09 UTC
(In reply to Joel Madero from comment #1)
> Seems like documentation issue, not Calc issue - setting to Documentation.

Yes, documentation, but related to Calc
Comment 3 Buovjaga 2015-10-20 07:42:08 UTC
Let's set to NEW.
Comment 4 Triveni 2020-12-07 19:27:34 UTC
Made changes to 

1) source/text/scalc/guide/text_wrap.xhp

<note id="note_xls_optimal_height">For automatic wrapping, row should be set to Optimal Height. </note>

2) source/text/shared/guide/breaking_lines.xhp

<embed href="text/scalc/guide/text_wrap.xhp#note_xls_optimal_height"/>
Comment 5 Commit Notification 2020-12-08 06:46:09 UTC
gar Soul committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/a097662d6678263bb91b6a1dc1f5494fbf47bf38

tdf#95147 Add note to use Optimal Height with wrapping in XLS files
Comment 6 Commit Notification 2020-12-09 22:40:55 UTC
gar Soul committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/help/commit/b9a3bdeb9ede49b13e65c0f2c403ef5fbed6e0ee

tdf#95147 Add note to use Optimal Height with wrapping in XLS files